Export Data
Export your data to a portable archive.
Creates a .zip (or folder) containing memories, threads, entities, labels, sources, managed skills, and working memory. Use this for backups or migrating to another device.
By default this endpoint is synchronous for REST and CLI compatibility.
Set async to true to start a background export job and poll
/data/export/status/{job_id} until the job is completed or reports an error.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
POST /data/export request body.
Response Body
application/json
application/json
curl -X POST "https://example.com/data/export" \ -H "Content-Type: application/json" \ -d '{ "export_path": "string" }'{ "counts": {}, "created_at": "string", "export_dir": "string", "export_id": "string", "export_path": "string", "format": "string", "manifest_path": "string", "success": true, "version": 0, "warnings": [ "string" ]}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}